# DaprAppCallbackProtos.TopicEventBulkResponseOrBuilder (dapr-sdk-parent 1.10.0 API)

Package io.dapr.v1

## Interface DaprAppCallbackProtos.TopicEventBulkResponseOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprAppCallbackProtos.TopicEventBulkResponse`, `DaprAppCallbackProtos.TopicEventBulkResponse.Builder`

Enclosing class:
  DaprAppCallbackProtos

    public static interface DaprAppCallbackProtos.TopicEventBulkResponseOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`DaprAppCallbackProtos.TopicEventBulkResponseEntry` `getStatuses​(int index)` The list of all responses for the bulk request.
`int` `getStatusesCount()` The list of all responses for the bulk request.
`List<DaprAppCallbackProtos.TopicEventBulkResponseEntry>` `getStatusesList()` The list of all responses for the bulk request.
`DaprAppCallbackProtos.TopicEventBulkResponseEntryOrBuilder` `getStatusesOrBuilder​(int index)` The list of all responses for the bulk request.
`List<? extends DaprAppCallbackProtos.TopicEventBulkResponseEntryOrBuilder>` `getStatusesOrBuilderList()` The list of all responses for the bulk request.

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getStatusesList

    List<DaprAppCallbackProtos.TopicEventBulkResponseEntry> getStatusesList()

     The list of all responses for the bulk request.

`repeated .dapr.proto.runtime.v1.TopicEventBulkResponseEntry statuses = 1;`

#### getStatuses

    DaprAppCallbackProtos.TopicEventBulkResponseEntry getStatuses​(int index)

     The list of all responses for the bulk request.

`repeated .dapr.proto.runtime.v1.TopicEventBulkResponseEntry statuses = 1;`

#### getStatusesCount

    int getStatusesCount()

     The list of all responses for the bulk request.

`repeated .dapr.proto.runtime.v1.TopicEventBulkResponseEntry statuses = 1;`

#### getStatusesOrBuilderList

    List<? extends DaprAppCallbackProtos.TopicEventBulkResponseEntryOrBuilder> getStatusesOrBuilderList()

     The list of all responses for the bulk request.

`repeated .dapr.proto.runtime.v1.TopicEventBulkResponseEntry statuses = 1;`

#### getStatusesOrBuilder

    DaprAppCallbackProtos.TopicEventBulkResponseEntryOrBuilder getStatusesOrBuilder​(int index)

     The list of all responses for the bulk request.

`repeated .dapr.proto.runtime.v1.TopicEventBulkResponseEntry statuses = 1;`